> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Opt-in Prompts

> Fetches all opt-in prompts for a website



## OpenAPI

````yaml /api-reference/misc-openapi.json get /prod/prompts/{idSite}
openapi: 3.1.0
info:
  title: other
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Analytics
    description: Analytics and reporting
  - name: Logs
    description: Activity logs
  - name: Pixels
    description: Tracking pixels
  - name: Prompts
    description: Subscription prompt management
paths:
  /prod/prompts/{idSite}:
    get:
      tags:
        - Prompts
      summary: Get Opt-in Prompts
      description: Fetches all opt-in prompts for a website
      operationId: api-get-opt-in-prompts
      parameters:
        - name: idSite
          in: path
          description: Website ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 123
                      uid: 12abcd3456e7
                      idSite: 147
                      name: Prompt 1
                      header_text: Want updates?
                      header_text_color: '#000000'
                      body_text: Get the latest and greatest
                      body_text_color: '#000000'
                      cancel_button_text: Not for me
                      cancel_button_text_color: '#4e99cf'
                      cancel_button_color: '#ffffff'
                      approve_button_text: Yes, please
                      approve_button_text_color: '#4e99cf'
                      approve_button_color: '#ffffff'
                      active: 1
                      icon_url: https://cdn.aimtell.io/user/uploads/147-1588184063.png
                      prompt_color: null
                      prompt_type: 3
                      prompt_position: null
                      prompt_sticky: 0
                      createdAt: '2020-04-29 18:13:33'
                      updatedAt: '2020-07-28 18:39:51'
                    - id: 234
                      uid: 12abcd3456e7
                      idSite: 20599
                      name: Safari Prompt
                      header_text: Hi there!
                      header_text_color: '#000000'
                      body_text: >-
                        Would you like to receive notifications on deals and
                        sales?
                      body_text_color: '#000000'
                      cancel_button_text: No, thanks
                      cancel_button_text_color: '#4e99cf'
                      cancel_button_color: '#ffffff'
                      approve_button_text: Yes, please!
                      approve_button_text_color: '#4e99cf'
                      approve_button_color: '#ffffff'
                      active: 1
                      icon_url: >-
                        https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_147_1588190286.png
                      prompt_color: null
                      prompt_type: 3
                      prompt_position: null
                      prompt_sticky: 0
                      createdAt: '2020-06-01 14:45:55'
                      updatedAt: '2020-06-01 14:46:29'
                    - id: 456
                      uid: 12abcd3456e7
                      idSite: 147
                      name: Prompt 2
                      header_text: ''
                      header_text_color: '#000000'
                      body_text: Would you like to receive the latest updates?
                      body_text_color: '#000000'
                      cancel_button_text: No, thanks
                      cancel_button_text_color: '#4e99cf'
                      cancel_button_color: '#ffffff'
                      approve_button_text: Yes, please!
                      approve_button_text_color: '#4e99cf'
                      approve_button_color: '#ffffff'
                      active: 1
                      icon_url: >-
                        https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_147_1588190286.png
                      prompt_color: null
                      prompt_type: 1
                      prompt_position: null
                      prompt_sticky: 0
                      createdAt: '2020-07-15 16:46:18'
                      updatedAt: '2020-07-22 19:26:52'
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 123
                      default: 0
                    uid:
                      type: string
                      example: 12abcd3456e7
                    idSite:
                      type: integer
                      example: 147
                      default: 0
                    name:
                      type: string
                      example: Prompt 1
                    header_text:
                      type: string
                      example: Want updates?
                    header_text_color:
                      type: string
                      example: '#000000'
                    body_text:
                      type: string
                      example: Get the latest and greatest
                    body_text_color:
                      type: string
                      example: '#000000'
                    cancel_button_text:
                      type: string
                      example: Not for me
                    cancel_button_text_color:
                      type: string
                      example: '#4e99cf'
                    cancel_button_color:
                      type: string
                      example: '#ffffff'
                    approve_button_text:
                      type: string
                      example: Yes, please
                    approve_button_text_color:
                      type: string
                      example: '#4e99cf'
                    approve_button_color:
                      type: string
                      example: '#ffffff'
                    active:
                      type: integer
                      example: 1
                      default: 0
                    icon_url:
                      type: string
                      example: https://cdn.aimtell.io/user/uploads/147-1588184063.png
                    prompt_color: {}
                    prompt_type:
                      type: integer
                      example: 3
                      default: 0
                    prompt_position: {}
                    prompt_sticky:
                      type: integer
                      example: 0
                      default: 0
                    createdAt:
                      type: string
                      example: '2020-04-29 18:13:33'
                    updatedAt:
                      type: string
                      example: '2020-07-28 18:39:51'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid token.
                  error_code:
                    type: integer
                    example: 71831
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````